#pragma once

enum KOMA_MARK	{ m_null,m_1st,m_2nd };	//	=1st =2nd
enum KOMA_NUMB	{ n_null,				//	R}̉摜ԍ
	n_hu,		//1
	n_kyou,		//2
	n_kei,		//j3
	n_gin,		//4
	n_kin,		//5
	n_kaku,		//p6
	n_hisya,	//7
	n_gyoku,	//8
	n_to,		///9
	n_uma,		//n/p14
	n_ryuu,		///15
	n_hu_r,		//1i聁tj
	n_kyou_r,	//2i聁tj
	n_kei_r,	//j3i聁tj
	n_gin_r,	//4i聁tj
	n_kin_r,	//5i聁tj
	n_kaku_r,	//p6i聁tj
	n_hisya_r,	//7i聁tj
	n_gyoku_r,	//8i聁tj
	n_to_r,		///9i聁tj
	n_uma_r,	//n/p14i聁tj
	n_ryuu_r,	///15i聁tj
	n_end = -1
};

typedef struct _KOMA_POSI {
	int x;
	int y;
	KOMA_NUMB koma;
} KOMA_POSI;

const int FILE_NAME_SIZE = 128;
const int KOMA_NAME_SIZE = 32;
const int KOMA_1SET_CONT = 11;
const int KOMA_CHAR_CONT = KOMA_1SET_CONT * 2 + 1;
const int KOMA_USED_CONT = (9+9+2) * 2;

//
//	R}̉摜\NX
//
class Shogi_koma
{
public:
	Shogi_koma(KOMA_MARK mark, KOMA_NUMB number );
	~Shogi_koma(void);

//	ÓIo[̊֐
public:
	static void koma_hwnd_set(HWND hWnd,HDC hdc);
	static void koma_free(void);
	void koma_draw(int x, int y);
	void set_ofset(void);

//	ÓIo[iNXŋʁj
public:
	static HWND hWnd;	//	nh
	static HDC  hHDC;	//	foCXReLXgiɏj
	static int gbl_x;	//	x posi	O[oW
	static int gbl_y;	//	y posi	O[oW
	static const char img_dir[];	// "C:\\usr\\blog_c\\shogi\\bmp\\";

	static const char koma_file[KOMA_CHAR_CONT][KOMA_NAME_SIZE];
	static const char mask_file[KOMA_CHAR_CONT][KOMA_NAME_SIZE];
	static const KOMA_MARK koma_mark_tb[KOMA_CHAR_CONT];
	static const KOMA_NUMB koma_numb_tb[KOMA_CHAR_CONT];
	static const KOMA_POSI koma_posi_tb[KOMA_USED_CONT];
	static Shogi_koma* image[KOMA_CHAR_CONT];

public:
//	int index;
	KOMA_MARK mark;
	KOMA_NUMB number;
	int ofset_x;
	int ofset_y;
	char file_name[FILE_NAME_SIZE+1];	//	t@C
	char mask_name[FILE_NAME_SIZE+1];	//	MASKt@C
	HDC hMemDC;			//	foCXReLXg
	HBITMAP hBitmap;	//
	BITMAP bitmap;		//
	HDC hMemDC_Mask;	//	foCXReLXg(Maskp)
	HBITMAP hBitmask;	//
	BITMAP bitmask;		//

};


